Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.jndi
Class JNDIBaseStorable

    java.lang.Object
      org.codehaus.activemq.jndi.JNDIBaseStorable

All Implemented Interfaces:
  JNDIStorableInterface, javax.naming.Referenceable

Direct Known Subclasses:
  ActiveMQConnectionFactory, ActiveMQDestination

public abstract class JNDIBaseStorable
extends java.lang.Object
implements JNDIStorableInterface

Faciliates objects to be stored in JNDI as properties

Constructor Summary
`JNDIBaseStorable()`

Method Summary
`protected abstract void` | `buildFromProperties(java.util.Properties props)` Set the properties that will represent the instance in JNDI
`java.util.Properties` | `getProperties()` Get the properties from this instance for storing in JNDI
`javax.naming.Reference` | `getReference()` Retrive a Reference for this instance to store in JNDI
`protected abstract void` | `populateProperties(java.util.Properties props)` Initialize the instance from properties stored in JNDI
`void` | `setProperties(java.util.Properties props)` set the properties for this instance as retrieved from JNDI

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JNDIBaseStorable

    public JNDIBaseStorable()

Method Detail

### buildFromProperties

    protected abstract void buildFromProperties(java.util.Properties props)

  Set the properties that will represent the instance in JNDI

  Parameters:
    `props` -

### populateProperties

    protected abstract void populateProperties(java.util.Properties props)

  Initialize the instance from properties stored in JNDI

  Parameters:
    `props` -

### setProperties

    public void setProperties(java.util.Properties props)

  set the properties for this instance as retrieved from JNDI

  Specified by:
    `setProperties` in interface `JNDIStorableInterface`
  Parameters:
    `props` -

### getProperties

    public java.util.Properties getProperties()

  Get the properties from this instance for storing in JNDI

  Specified by:
    `getProperties` in interface `JNDIStorableInterface`
  Returns:
    the properties

### getReference

    public javax.naming.Reference getReference()
                                        throws javax.naming.NamingException

  Retrive a Reference for this instance to store in JNDI

  Specified by:
    `getReference` in interface `javax.naming.Referenceable`
  Returns:
    the built Reference
  Throws:
    `javax.naming.NamingException` - if error on building Reference

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.